// RTEQSharedMemorySampleDlg.h : header file
//
// created by Unwinder
/////////////////////////////////////////////////////////////////////////////
#ifndef _RTEQSHAREDMEMORYSAMPLEDLG_H_INCLUDED_
#define _RTEQSHAREDMEMORYSAMPLEDLG_H_INCLUDED_
/////////////////////////////////////////////////////////////////////////////
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
/////////////////////////////////////////////////////////////////////////////
// CRTEQSharedMemorySampleDlg dialog
/////////////////////////////////////////////////////////////////////////////
class CRTEQSharedMemorySampleDlg : public CDialog
{
// Construction
public:
	CRTEQSharedMemorySampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRTEQSharedMemorySampleDlg)
	enum { IDD = IDD_RTEQSHAREDMEMORYSAMPLE_DIALOG };
	CString	m_strEventText;
	int		m_eventType;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRTEQSharedMemorySampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	BOOL AddEvent(LPCSTR lpText, BOOL bGlobal);
	void ModifyIndex(CString& s);

	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRTEQSharedMemorySampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAddEventButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
/////////////////////////////////////////////////////////////////////////////
#endif
/////////////////////////////////////////////////////////////////////////////
